---
title: RTCOutboundRtpStreamStats.lastPacketSentTimestamp
slug: Web/API/RTCOutboundRtpStreamStats/lastPacketSentTimestamp
tags:
  - API
  - Packet
  - Property
  - RTCOutboundRtpStreamStats
  - RTCRtpSender
  - RTP
  - Reference
  - Statistics
  - Stats
  - WebRTC
  - WebRTC API
  - lastPacketSentTImestamp
  - timeStamp
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The <strong><code>lastPacketSentTimestamp</code></strong> property of the {{domxref("RTCOutboundRtpStreamStats")}} dictionary indicates the time at which the {{domxref("RTCRtpSender")}} described by this {{domxref("RTCOutboundRtpStreamStats")}} object last transmitted a packet to the remote receiver.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>lastPacketTimestamp</em> = <em>RTCOutboundRtpStreamStats</em>.lastPacketSentTimestamp;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMHighResTimeStamp")}} which specifies the time at which the most recently received packet arrived on this RTP stream.</p>

<div class="notecard note">
<p><strong>Note:</strong> This value differs from the {{domxref("RTCStats.timestamp", "timestamp")}}, which represents the time at which the statistics object was created.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC Statistics Identifiers', '#dom-RTCOutboundRtpStreamStats-lastpacketsenttimestamp', 'RTCOutboundRtpStreamStats.lastPacketSentTimestamp')}}</td>
   <td>{{Spec2('WebRTC Statistics Identifiers')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCOutboundRtpStreamStats.lastPacketSentTimestamp")}}</p>
